<p align='center'>
  <img src="./public/pwa-512x512.png" width="150"/>
</p>

<p align='center'>because our first commits never have parents</p>

<br>

> I bet your parents taught you that you mean something, that you're here for a reason. My parents taught me a different lesson, dying in the gutter for no reason at all... They taught me the world only makes sense if you force it to.
> 
> -- batman

<br>

<p align='center'>
  <a href="https://bat.glo.quebec" target="_blank">Live Demo</a>
</p

<br>

<p align='center'><b>English</b> | <a href="/README.fr-CA.md">Français</a></p>

<!-- Contributions are welcome -->

<br>

<br>

![Vercel](https://vercelbadge.vercel.app/api/olgam4/bat)

## Features

* ⚡️ [Vite 2](https://vitejs.dev/) with [Vitest](https://vitest.dev/), [pnpm](https://pnpm.js.org/)

* 🗿 [Solid](https://www.solidjs.com/), [fastest](https://krausest.github.io/js-framework-benchmark/current.html) component library

* 🗂 [File based routing](/src/routes/)

* 🔮 [Auto Import](https://github.com/antfu/unplugin-auto-import/)

* 🎨 [TailwindCSS](https://tailwindcss.com), [PostCSS](https://postcss.org/)

* 🙂 [Iconify with CSS](https://github.com/JensDll/tailwindcss-plugin-icons)

* 🌎 [i18n](https://github.com/solidjs-community/solid-primitives/tree/main/packages/i18n) ready

* 🧽 [eslint](https://eslint.org/)

* 🦾 [TypeScript](https://www.typescriptlang.org/)

* 📱 [PWA](https://github.com/antfu/vite-plugin-pwa)

* 🖨 [SSR](https://github.com/solidjs/solid-start) through [Solid-SSR](https://github.com/solidjs/solid/tree/main/packages/solid-ssr)

* ☁️  [Vercel](https://vercel.com/) Edge Functions with minimal [config](./assets/vercel-config.md)

## Try it now!

### Clone to local

``` sh
npx degit olgam4/bat my-bat-mobile
cd my-bat-mobile
pnpm i # If you don't use pnpm, please consider using it: npm install -g pnpm
```

### GitHub Template

[Create a repo from this template](https://github.com/olgam4/bat/generate)

## Checklist

- [ ] Change the author name in `LICENSE`
- [ ] Change the favicon in `pulic`
- [ ] Remove the `.github` dir which contains funding info
- [ ] Clean up the READMEs and remove routes

## Acknoledgements

This repo is inspired by 🏕 [antfu/vitesse](https://github.com/antfu/vitesse)
